export const SET_ERROR: "metabase/reference/SET_ERROR";
export const CLEAR_ERROR: "metabase/reference/CLEAR_ERROR";
export const START_LOADING: "metabase/reference/START_LOADING";
export const END_LOADING: "metabase/reference/END_LOADING";
export const START_EDITING: "metabase/reference/START_EDITING";
export const END_EDITING: "metabase/reference/END_EDITING";
export const EXPAND_FORMULA: "metabase/reference/EXPAND_FORMULA";
export const COLLAPSE_FORMULA: "metabase/reference/COLLAPSE_FORMULA";
export const SHOW_DASHBOARD_MODAL: "metabase/reference/SHOW_DASHBOARD_MODAL";
export const HIDE_DASHBOARD_MODAL: "metabase/reference/HIDE_DASHBOARD_MODAL";
export const setError: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export const clearError: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export const startLoading: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export const endLoading: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export const startEditing: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export const endEditing: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export const expandFormula: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export const collapseFormula: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export const showDashboardModal: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export const hideDashboardModal: import("redux-actions").ActionFunctionAny<import("redux-actions").Action<any>>;
export function wrappedFetchDatabaseMetadata(props: any, databaseID: any): void;
export function wrappedFetchDatabaseMetadataAndQuestion(props: any, databaseID: any): Promise<void>;
export function wrappedFetchDatabases(props: any): void;
export function wrappedFetchSegments(props: any): void;
export function wrappedFetchSegmentDetail(props: any, segmentID: any): void;
export function wrappedFetchSegmentQuestions(props: any, segmentID: any): Promise<void>;
export function wrappedFetchSegmentRevisions(props: any, segmentID: any): Promise<void>;
export function wrappedFetchSegmentFields(props: any, segmentID: any): Promise<void>;
export function clearState(props: any): void;
export function rUpdateSegmentDetail(formFields: any, props: any): () => Promise<void>;
export function rUpdateSegmentFieldDetail(formFields: any, props: any): () => Promise<void>;
export function rUpdateDatabaseDetail(formFields: any, props: any): () => Promise<void>;
export function rUpdateTableDetail(formFields: any, props: any): () => Promise<void>;
export function rUpdateFieldDetail(formFields: any, props: any): () => Promise<void>;
export function rUpdateFields(fields: any, formFields: any, props: any): () => Promise<void>;
declare const _default: import("redux-actions").ReduxCompatibleReducer<{
    error: null;
    isLoading: boolean;
    isEditing: boolean;
    isFormulaExpanded: boolean;
    isDashboardModalOpen: boolean;
}, {
    error: null;
    isLoading: boolean;
    isEditing: boolean;
    isFormulaExpanded: boolean;
    isDashboardModalOpen: boolean;
}>;
export default _default;
